# RUN: yaml2obj %s -o %t
# RUN: llvm-readelf -s %t | FileCheck %s

!ELF
FileHeader:
  Class:           ELFCLASS64
  Data:            ELFDATA2LSB
  Type:            ET_EXEC
  Machine:         EM_X86_64
Sections:
  - Name: .text
    Type: SHT_PROGBITS
Symbols:
  - Name:     absolute1
    Index:    SHN_ABS
    Value:    0x1234
    Binding:  STB_GLOBAL
  - Name:     absolute2
    Index:    0xfff1
    Value:    0x4321
    Binding:  STB_GLOBAL
  - Name:     common1
    Index:    SHN_COMMON
    Binding:  STB_GLOBAL
  - Name:     common2
    Index:    0xfff2
    Binding:  STB_GLOBAL
  - Name:     good
    Index:    0x1
    Binding:  STB_GLOBAL
  - Name:     bad
    Index:    0x42
    Binding:  STB_GLOBAL
  - Name:     undef1
    Index:    SHN_UNDEF
    Binding:  STB_GLOBAL
  - Name:     undef2
    Index:    0
    Binding:  STB_GLOBAL

# CHECK:      Symbol table '.symtab' contains 9 entries
# CHECK-NEXT:   Num: {{.*}} Ndx Name
# CHECK-NEXT:     0: {{.*}} UND
# CHECK-NEXT:     1: {{.*}} ABS absolute1
# CHECK-NEXT:     2: {{.*}} ABS absolute2
# CHECK-NEXT:     3: {{.*}} COM common1
# CHECK-NEXT:     4: {{.*}} COM common2
# CHECK-NEXT:     5: {{.*}}   1 good
# CHECK-NEXT:     6: {{.*}}  66 bad
# CHECK-NEXT:     7: {{.*}} UND undef1
# CHECK-NEXT:     8: {{.*}} UND undef2
